View Issue Details

IDProjectCategoryView StatusLast Update
0021072mantisbttimelinepublic2016-08-28 01:12
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021072: Timeline only show issues from current project
Description

This may be as designed, but there's an inconsistency with the scope showed in timeline, from that showed by filters in my view page.

"my view" filters show issues in current project, and all subprojects.
Timeline show history items only for current project, and not for subprojects.

However, when current project is "all projects", Timeline shows history items for all projects and subprojects to any depth.

Imho, Timeline behaviour should match that of "my view".

TagsNo tags attached.

Relationships

related to 0019945 closedvboctor Timeline should take selected project into consideration 
related to 0021146 closedcproensa Can't retrieve history of a bug with history_get_events_array($bug_id) 
related to 0021614 new Add project name to issues showed in timeline 

Activities

dregad

dregad

2016-06-09 18:02

developer   ~0053295

Timeline behaviour should match that of "my view".

I agree

cproensa

cproensa

2016-07-29 20:11

developer   ~0053730

Last edited: 2016-07-30 19:58

View 2 revisions

Project scope for the timeline should then be quite like the filter visibility is calculated, regarding project and subprojects.
With current filter_api / project_api, the logic is not easily reusable.

For a better solution, instead of adding new logic to get the right project selection, i could add a history selection to be based on a filter.
This can be achieved easily on top of PR https://github.com/mantisbt/mantisbt/pull/832
which already refactors filter_api to make the filter query building logic reusable.

The new filter based history_get_range_result can be used to build timelines or history listing for any need:

  • current my_view timeline
  • user history/activity report
    etc
cproensa

cproensa

2016-07-30 19:58

developer   ~0053733

i've got a patch ready, but as said, it is based on commits of previous PR.

cproensa

cproensa

2016-08-05 05:40

developer   ~0053752

PR: https://github.com/mantisbt/mantisbt/pull/838

Related Changesets

MantisBT: master-1.3.x 28b6d799

2016-08-05 05:21:35

cproensa


Committer: dregad Details Diff
Make timeline show a set of bugs based on filters

Make timeline show history for a set of bugs based on a filter.
By default, create a filter to show current project and subprojects, to
match the visibility of my view page.

Fixes: 0021072

Signed-off-by: Damien Regad <dregad@mantisbt.org>

Original commit modified to remove unnecessary assignment.
mod - core/timeline_api.php Diff File

MantisBT: master-1.3.x e48e7375

2016-08-05 05:26:36

cproensa


Committer: dregad Details Diff
Revert limit history range to current project

Revert the changes made by Issue 0019945 (commit adbd0882).

The api function history_get_event_from_row should not impose a
limitation for current project queries.

The original timeline issue, which 0019945 was addressing, has now been
resolved in another way, see issue 0021072.

Fixes: 0021146
mod - core/history_api.php Diff File

MantisBT: master-1.3.x 4d160125

2016-08-19 21:02:15

cproensa


Committer: dregad Details Diff
Fix querying zero projects

Fix the new api functions, to support the case when a user doesn't have
any accessible project. In this case the filter query can't be built, so
fix returning empty values.

Affected functions were introduced in relation to Issues 0020424, 0021072.
mod - core/database_api.php Diff File
mod - core/filter_api.php Diff File
mod - core/history_api.php Diff File

Issue History

Date Modified Username Field Change
2016-06-09 05:58 cproensa New Issue
2016-06-09 18:02 dregad Note Added: 0053295
2016-07-29 18:48 cproensa Relationship added related to 0019945
2016-07-29 20:11 cproensa Note Added: 0053730
2016-07-30 19:55 cproensa Assigned To => cproensa
2016-07-30 19:55 cproensa Status new => assigned
2016-07-30 19:58 cproensa Note Added: 0053733
2016-07-30 19:58 cproensa Note Edited: 0053730 View Revisions
2016-07-30 20:22 cproensa Relationship added related to 0021146
2016-08-05 05:40 cproensa Note Added: 0053752
2016-08-16 09:24 dregad Changeset attached => MantisBT master-1.3.x 28b6d799
2016-08-16 09:24 dregad Changeset attached => MantisBT master-1.3.x e48e7375
2016-08-16 09:24 dregad Assigned To cproensa => dregad
2016-08-16 09:24 dregad Status assigned => resolved
2016-08-16 09:24 dregad Resolution open => fixed
2016-08-16 09:24 dregad Fixed in Version => 1.3.1
2016-08-16 09:25 dregad Assigned To dregad => cproensa
2016-08-16 09:25 dregad Target Version => 1.3.1
2016-08-16 09:37 cproensa Relationship added related to 0021614
2016-08-27 17:51 dregad Changeset attached => MantisBT master-1.3.x 4d160125
2016-08-28 01:12 vboctor Status resolved => closed